Skip to main content
GET
/
accounting
/
bills
/
{billId}
/
lineItems
cURL
curl --request GET \
  --url https://api.maesn.dev/accounting/bills/{billId}/lineItems \
  --header 'X-ACCOUNT-KEY: <x-account-key>' \
  --header 'X-API-KEY: <x-api-key>'
import requests

url = "https://api.maesn.dev/accounting/bills/{billId}/lineItems"

headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};

fetch('https://api.maesn.dev/accounting/bills/{billId}/lineItems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "warnings": [
      "Field not used by target system"
    ],
    "pagination": {
      "total": 125,
      "perPage": 50,
      "currentPage": 1,
      "totalPages": 3
    }
  },
  "data": [
    {
      "id": "987a2b3c-4d5e-6f7g-8h9i-0j1k2l3m4n5o",
      "accountId": "6733a433-9662-4a40-8e36-e38ebda94fe1",
      "accountNumber": "200",
      "createdDate": "2021-01-01T00:00:00Z",
      "deferredEndDate": "2021-06-01T00:00:00Z",
      "deferredStartDate": "2021-01-01T00:00:00Z",
      "description": "SEOUL Guest Chair, red",
      "dimensions": [
        {
          "name": "C1",
          "categoryName": "CostCenter"
        }
      ],
      "itemId": "4f3a2hf4-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
      "itemName": "RED CHAIR",
      "quantity": 1,
      "taxCode": "03",
      "taxRatePercentage": 19,
      "totalDiscountAmount": 10,
      "totalDiscountPercentage": 10,
      "totalGrossAmount": 109,
      "totalNetAmount": 100,
      "totalTaxAmount": 19,
      "unitAmount": 100,
      "unitDiscountAmount": 10,
      "unitDiscountPercentage": 10,
      "unitName": "PIECE",
      "updatedDate": "2021-01-01T00:00:00Z"
    }
  ]
}

Field support per integration

Please ensure the query parameter companyId is accurately filled with the division code. You can obtain this values by using the GET Companies endpoints available under the Authentication section.
Query parameters:
rawData
boolean
Supported response fields:
id
string
accountId
string
deferredEndDate
string
deferredStartDate
string
description
string
dimensions
Dimension[]
taxCode
string
taxRatePercentage
number
totalNetAmount
number
totalTaxAmount
number

Headers

X-API-KEY
string
required

API key

X-ACCOUNT-KEY
string
required

Account key

Path Parameters

billId
string
required

Query Parameters

companyId
string
rawData
boolean

Response

200 - application/json
meta
object
data
object[]
Last modified on July 10, 2026